Package org.eclipse.jdt.core.dom

# Interface IExtendedModifier

All Known Implementing Classes:
  `Annotation`, `MarkerAnnotation`, `Modifier`, `NormalAnnotation`, `SingleMemberAnnotation`

public interface IExtendedModifier
Common interface for AST nodes that represent modifiers or annotations.

     IExtendedModifier:
       Modifier
       Annotation

Since:
  3.1
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAnnotation()`
Returns whether this extended modifier is an annotation.
`boolean`
`isModifier()`
Returns whether this extended modifier is a standard modifier.

## Method Details

### isModifier

boolean isModifier()
Returns whether this extended modifier is a standard modifier.

Returns:
  `true` if this is a standard modifier (instance of `Modifier`), and `false` otherwise

### isAnnotation

boolean isAnnotation()
Returns whether this extended modifier is an annotation.

Returns:
  `true` if this is an annotation (instance of a subclass of `Annotation`), and `false` otherwise